# GENERATED for staging
nodes:
- address: 10.12.5.165
  port: "22"
  internal_address: 10.0.0.11
  role:
  - worker
  hostname_override: "staging-k8s-01"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.6.69
  port: "22"
  internal_address: 10.0.0.27
  role:
  - worker
  hostname_override: "staging-k8s-02"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.191
  port: "22"
  internal_address: 10.0.0.4
  role:
  - worker
  hostname_override: "staging-k8s-03"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.93
  port: "22"
  internal_address: 10.0.0.10
  role:
  - worker
  hostname_override: "staging-k8s-04"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.11
  port: "22"
  internal_address: 10.0.0.12
  role:
  - worker
  hostname_override: "staging-k8s-05"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.35
  port: "22"
  internal_address: 10.0.0.9
  role:
  - worker
  hostname_override: "staging-k8s-06"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.131
  port: "22"
  internal_address: 10.0.0.5
  role:
  - worker
  hostname_override: "staging-k8s-07"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.47
  port: "22"
  internal_address: 10.0.0.13
  role:
  - worker
  hostname_override: "staging-k8s-08"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.135
  port: "22"
  internal_address: 10.0.0.3
  role:
  - worker
  hostname_override: "staging-k8s-09"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.63
  port: "22"
  internal_address: 10.0.0.18
  role:
  - worker
  hostname_override: "staging-k8s-10"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.90
  port: "22"
  internal_address: 10.0.0.14
  role:
  - worker
  hostname_override: "staging-k8s-11"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.111
  port: "22"
  internal_address: 10.0.0.17
  role:
  - worker
  hostname_override: "staging-k8s-12"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.137
  port: "22"
  internal_address: 10.0.0.22
  role:
  - controlplane
  - etcd
  hostname_override: "staging-orch-1"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.6.111
  port: "22"
  internal_address: 10.0.0.23
  role:
  - controlplane
  - etcd
  hostname_override: "staging-orch-2"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
- address: 10.12.5.142
  port: "22"
  internal_address: 10.0.0.8
  role:
  - controlplane
  - etcd
  hostname_override: "staging-orch-3"
  user: ubuntu
  ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
services:
  kube-api:
    service_cluster_ip_range: 10.43.0.0/16
    pod_security_policy: false
    always_pull_images: false
  kube-controller:
    cluster_cidr: 10.42.0.0/16
    service_cluster_ip_range: 10.43.0.0/16
  kubelet:
    cluster_domain: cluster.local
    cluster_dns_server: 10.43.0.10
    fail_swap_on: false
network:
  plugin: canal
authentication:
  strategy: x509
ssh_key_path: "/var/www/jenkins/.ssh/onap_key"
ssh_agent_auth: false
authorization:
  mode: rbac
ignore_docker_version: false
kubernetes_version: "v1.13.5-rancher1-2"
private_registries:
- url: 10.12.5.2:5000
  is_default: true
cluster_name: "staging"
restore:
  restore: false
  snapshot_name: ""
